Subject: Re: bug#54905: Allow in tabulated lists to resize columns with the mouse

From: Robert Pluim <[email-masked]>
Date: Fri, 15 Apr 2022 14:23:19 +0200

>>>>> On Fri, 15 Apr 2022 14:02:42 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Lars Ingebrigtsen <[email-masked]> writes:
    >> But I guess it could determine the width of the frame and clamp it to
    >> that point...

    Lars> I've done that now, and I think it looks pretty good.  🤩

It does. Although you seem to be suffering from dark-modeitis 🙂

    Lars> And adding mouse-face to the draggable divider lines makes it possible
    Lars> to find them and drag them, even if they're really narrow.

Iʼd misunderstood: I thought they were in the header line, not in the
table. They are kind of narrow, but I can always drag the column name.

    Lars> So I guess I could just enable the divider after the final column, too,
    Lars> so that that can also be resized.

Yes. One other thing: the "Size" heading gets truncated to "Siz" for
me, so I guess you need to derive the minimum width from the heading:

Robert
--